> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bindbee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Passthrough Request



## OpenAPI

````yaml post /api/v1/passthrough
openapi: 3.1.0
info:
  title: Bindbee APIs
  version: 0.1.0
servers:
  - url: https://api.bindbee.dev
  - url: https://api-eu.bindbee.dev
security: []
paths:
  /api/v1/passthrough:
    post:
      tags:
        - Passthrough
      summary: Make Passthrough Request
      operationId: make_passthrough_request_api_v1_passthrough_post
      parameters:
        - name: x-connector-token
          in: header
          required: true
          schema:
            type: string
            title: X-Connector-Token
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PassThroughRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    PassThroughRequest:
      properties:
        method:
          $ref: '#/components/schemas/HTTPMethod'
          title: method
          description: Method of the request
          examples:
            - POST
        path:
          type: string
          title: path
          description: Path of the request
          examples:
            - /employees
        headers:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: headers
          description: headers of the request
          examples:
            - Content-Type: application/json
        params:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: params
          description: params of the request
          default: {}
          examples:
            - a: 1
              b: 2
        data:
          anyOf:
            - type: string
            - items: {}
              type: array
            - additionalProperties: true
              type: object
            - type: 'null'
          title: data
          description: Body of the request
          examples:
            - a: 1
              b: 2
        request_format:
          anyOf:
            - $ref: '#/components/schemas/RequestFormatEnum'
            - type: 'null'
          title: Request Format
          description: format of the request
          default: JSON
          examples:
            - JSON
        response_format:
          anyOf:
            - $ref: '#/components/schemas/ResponseFormatEnum'
            - type: 'null'
          title: Response Format
          description: format of the response
          default: JSON
          examples:
            - JSON
        timeout:
          anyOf:
            - type: number
            - type: 'null'
          title: Timeout
          description: timeout of the request
          examples:
            - 300
      type: object
      required:
        - method
        - path
        - headers
      title: PassThroughRequest
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    HTTPMethod:
      type: string
      enum:
        - CONNECT
        - DELETE
        - GET
        - HEAD
        - OPTIONS
        - PATCH
        - POST
        - PUT
        - TRACE
      title: HTTPMethod
      description: |-
        HTTP methods and descriptions

        Methods from the following RFCs are all observed:

            * RFC 7231: Hypertext Transfer Protocol (HTTP/1.1), obsoletes 2616
            * RFC 5789: PATCH Method for HTTP
    RequestFormatEnum:
      type: string
      enum:
        - JSON
        - XML
        - MULTIPART
      title: RequestFormatEnum
    ResponseFormatEnum:
      type: string
      enum:
        - JSON
        - XML
        - MULTIPART
      title: ResponseFormatEnum
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````